.menu-top__right {
  display: flex;
}
.menu-top__right .langswitch__current span {
  color: #fff;
}
@media (max-width: 1250px) {
  .menu-top__right .langswitch {
    margin-right: 150px;
  }
}
@media (max-width: 960px) {
  .menu-top__right .langswitch {
    margin-right: 100px;
  }
}
@media (max-width: 480px) {
  .menu-top__right .langswitch {
    display: none;
  }
}

.langswitch {
  height: 17px;
  position: relative;
  /*margin-left: 20px;*/
  height: 100%;
}

.langswitch::before {
  content: "";
  z-index: -1;
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  height: 60px;
  background: transparent;
}

.langswitch__current {
  height: 100%;
  display: flex;
  align-items: center;
  color: #232321;
}
.langswitch__current .icon {
  color: #232321;
  font-size: 6px;
  margin-left: 7px;
  display: block;
}
.langswitch__current span {
  color: #232321;
}
.langswitch__current img {
  outline: 2px solid #fff;
}

.langswitch__items {
  position: absolute;
  background: #FFF;
  border-radius: 5px;
  overflow: hidden;
  transition: 0.3s;
  height: 0;
  z-index: 101;
  width: calc(100% + 40px);
  left: -20px;
}

.langswitch .langswitch__item {
  display: flex;
  font-size: 13PX;
  font-weight: 600;
  text-transform: uppercase;
  color: #FFF;
  font-family: var(--font-family-source-sans-pro);
  letter-spacing: 2.6px;
  color: var(--primary-color);
  align-items: center;
}
.langswitch .langswitch__item span {
  display: flex;
  justify-content: center;
  align-items: center;
}

.langswitch__item--nl {
  display: inline-flex !important;
  align-items: center;
  font-size: 13px;
  color: green;
  font-weight: 600;
  text-transform: uppercase;
  color: #FFF;
  margin-right: 20px;
}

.langswitch:hover .langswitch__items--0,
.langswitch.is-open .langswitch__items--0 {
  height: 40px;
}

.langswitch:hover .langswitch__items--1,
.langswitch.is-open .langswitch__items--1 {
  height: 40px;
}

.langswitch:hover .langswitch__items--2,
.langswitch.is-open .langswitch__items--2 {
  height: 75px;
}

.langswitch:hover .langswitch__items--3,
.langswitch.is-open .langswitch__items--3 {
  height: 115px;
}

.langswitch:hover .langswitch__items--4,
.langswitch.is-open .langswitch__items--4 {
  height: 155px;
}

.langswitch:hover .langswitch__items--5,
.langswitch.is-open .langswitch__items--5 {
  height: 205px;
}

.langswitch:hover .langswitch__items--6,
.langswitch.is-open .langswitch__items--6 {
  height: 235px;
}

.langswitch:hover .langswitch__items--7,
.langswitch.is-open .langswitch__items--7 {
  height: 275px;
}

.langswitch__items .langswitch__item {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  height: 40px;
  padding: 10px 20px;
  font-size: 15px;
  text-decoration: none;
}

.langswitch__item img {
  margin-right: 10px;
  width: 22px;
  height: 22px;
  display: inline-block;
  border-radius: 100%;
}

.langswitch--currency::before {
  z-index: 1;
  pointer-events: none;
}
.langswitch--currency .langswitch__current span {
  color: #fff;
}
.langswitch--currency:hover {
  cursor: pointer;
}
.langswitch--currency:hover .langswitch__items {
  grid-template-rows: 1fr;
}
.langswitch--currency:hover .langswitch__items .langswitch__items__wrapper {
  visibility: visible;
}
.langswitch--currency .langswitch__items {
  height: auto !important;
  display: grid;
  grid-template-rows: 0fr;
  overflow: hidden;
  transition: grid-template-rows 0.3s;
}
.langswitch--currency .langswitch__items__wrapper {
  min-height: 0;
  transition: visibility 0.3s;
  visibility: hidden;
}
.langswitch--currency .langswitch__item {
  height: auto;
  font-size: 13px;
  text-transform: none;
  font-family: var(--font-family-source-sans-pro);
}
.langswitch--currency .langswitch__item {
  height: auto;
  TEXT-ALIGN: CENTER;
  justify-content: center;
}

@media (max-width: 1415px) {
  .menu-btm__menu ul li {
    padding-left: 10px;
  }
}
@media (max-width: 1050px) {
  .menu-btm a {
    font-size: 11px;
  }
}

.mobilemenu .langswitch {
  height: 40px;
  max-width: 260px;
  margin-top: 20px;
  margin-left: 20px;
}
.mobilemenu .langswitch__item {
  align-items: center;
}
.mobilemenu .langswitch__current span {
  color: #fff;
}
.mobilemenu .langswitch__items {
  margin-left: 20px;
  margin-right: 20px;
  max-width: 260px;
  width: 100%;
}
